# PKGBUILD Update Integrity

This repository contains a simple helper script, `update-integrity`. Its
purpose is to easily update the `sha256` sums in PKGBUILD files. This is
helpful if you're maintaining a PKGBUILD and have bumped a version or
updated some sources. It simply replaces the existing hashes with the
output of `makepkg -g`, first prompting the user for a review and
confirmation. It requires `kakoune` since we use `kak -f` to perform the
replacement.

To use the script, simply provide a path to a `PKGBUILD` or its parent
directory as the argument.
